representable-tries-3.0.2: Tries from representations of polynomial functors

Stability | experimental
Maintainer | ekmett@gmail.com
Safe Haskell | None

Data.Functor.Representable.Trie.Bool

Description

# Documentation

data BoolTrie a Source

Constructors

BoolTrie a a |

Instances

Monad BoolTrie |
Functor BoolTrie |
Applicative BoolTrie |
Foldable BoolTrie |
Traversable BoolTrie |
Distributive BoolTrie |
Keyed BoolTrie |
Zip BoolTrie |
ZipWithKey BoolTrie |
Indexable BoolTrie |
Lookup BoolTrie |
Adjustable BoolTrie |
FoldableWithKey BoolTrie |
FoldableWithKey1 BoolTrie |
TraversableWithKey BoolTrie |
TraversableWithKey1 BoolTrie |
Representable BoolTrie |
Traversable1 BoolTrie |
Foldable1 BoolTrie |
Apply BoolTrie |
Bind BoolTrie |
Eq a => Eq (BoolTrie a) |
Ord a => Ord (BoolTrie a) |
Read a => Read (BoolTrie a) |
Show a => Show (BoolTrie a) |